Bug 860086 - [abrt] cherrytree-0.26.2-1.fc17: core.py:2623:on_text_removal:TypeError: could not parse subscript as a tree path
[abrt] cherrytree-0.26.2-1.fc17: core.py:2623:on_text_removal:TypeError: coul...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: cherrytree (Show other bugs)
17
i686 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Robin Lee
Fedora Extras Quality Assurance
abrt_hash:258da62f474bde6257a2e26f311...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-24 18:25 EDT by David M.
Modified: 2012-10-23 05:50 EDT (History)
3 users (show)

See Also:
Fixed In Version: cherrytree-0.28-1.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-23 05:50:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: event_log (36 bytes, text/plain)
2012-09-24 18:25 EDT, David M.
no flags Details
File: core_backtrace (102 bytes, text/plain)
2012-09-24 18:25 EDT, David M.
no flags Details

  None (edit)
Description David M. 2012-09-24 18:25:34 EDT
Description of problem:
I deleted the root node, allong with a bunch of child nodes.  The program did not stop working or otherwise exhibit any signs of a failure.

Version-Release number of selected component:
cherrytree-0.26.2-1.fc17

Additional info:
libreport version: 2.0.13
abrt_version:   2.0.12
cmdline:        /usr/bin/python /bin/cherrytree
kernel:         3.5.4-1.fc17.i686

backtrace:
:core.py:2623:on_text_removal:TypeError: could not parse subscript as a tree path
:
:Traceback (most recent call last):
:  File "/usr/share/cherrytree/modules/core.py", line 2623, in on_text_removal
:    self.state_machine.text_variation(self.treestore[self.curr_tree_iter][3],
:TypeError: could not parse subscript as a tree path
:
:Local variables in innermost frame:
:end_iter: <GtkTextIter at 0xbfca30b8>
:self: <core.CherryTree instance at 0x8ac022c>
:start_iter: <GtkTextIter at 0xbfca3128>
:sourcebuffer: <gtk.TextBuffer object at 0x8a8a75c (GtkTextBuffer at 0x8e99b08)>
Comment 1 David M. 2012-09-24 18:25:36 EDT
Created attachment 616752 [details]
File: event_log
Comment 2 David M. 2012-09-24 18:25:37 EDT
Created attachment 616753 [details]
File: core_backtrace
Comment 3 Giuseppe Penone 2012-10-03 10:10:51 EDT
ok this should be fixed in versions > 0.27.1
Comment 4 Fedora Update System 2012-10-10 23:13:35 EDT
cherrytree-0.28-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/cherrytree-0.28-1.fc17
Comment 5 Fedora Update System 2012-10-11 22:53:37 EDT
Package cherrytree-0.28-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing cherrytree-0.28-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-15964/cherrytree-0.28-1.fc17
then log in and leave karma (feedback).

Note You need to log in before you can comment on or make changes to this bug.